slepc (3.25.1+dfsg1-2) unstable; urgency=medium

  * debian patch reproducible_build.patch helps ensure reproducible
    builds by sorting lists of sets of build flags
    (SLEPC_EXTERNAL_LIB_BASIC) using sorted() instead of list()

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jun 2026 20:31:27 +0200

slepc (3.25.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable, see transition request in Bug #1135890.

 -- Francesco Ballarin <ballarin@debian.org>  Wed, 10 Jun 2026 08:13:33 +0000

slepc (3.25.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Check for directory existence before trying to clean up local javascript
    files related to fomer privacy breaches which were fixed in
    3.25.0+dfsg1-1~exp2

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 02 May 2026 08:10:15 +0000

slepc (3.25.0+dfsg1-1~exp3) experimental; urgency=medium

  * Update d/copyright

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 01 May 2026 10:05:03 +0000

slepc (3.25.0+dfsg1-1~exp2) experimental; urgency=medium

  * Update d/copyright.
    - Drop legacy url http://code.google.com/p/blopex
  * Standards-Version: 4.7.4 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
    Leave the call in d/rules as
      dh $@ --with python3,fortran_mod
    for clarity
  * Remove field Section on binary packages libslepc-complex3.25,
    libslepc-real3.25, libslepc64-complex3.25, libslepc64-real3.25 that
    duplicates source.
  * Rely on pre-initialized dpkg-architecture variables.
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Add missing build-dependency on python3-setuptools.
  * Remove 8 redundant dependencies from weaker fields.
  * Update renamed lintian tag names in lintian overrides.
  * debputy lint --auto-fix (routine-update)
  * Fix privacy breaches
  * Use explicitly set -e in prerm and postinst scripts to avoid lintian
    pedantic message maintainer-script-without-set-e.
  * Add lintian overrides for false positive on repeated-path-segment, which
    happens because of how the directories are organized upstream.
  * Add d/upstream/metadata

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 30 Apr 2026 16:38:10 +0000

slepc (3.25.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release:
    - New ABI 3.25
  * Update F. Ballarin's email address
  * Refresh patches
  * Pass SLEPC_DIR, PETSC_DIR and PETSC_ARCH as environment variables to
    dh_auto_install to prevent errors like
        dh_auto_install -plibslepc-... \
          --destdir=debian/tmp/slepc3.25-... --  \
          SLEPC_DIR=/repositories/slepc \
          PETSC_DIR=/usr/lib/petscdir/... PETSC_ARCH=...
        Usage: dh_auto_install [OPTIONS]
        Try 'dh_auto_install --help' for help.

        Error: Got unexpected extra arguments (SLEPC_DIR=...
        PETSC_DIR=/usr/lib/petscdir/... PETSC_ARCH=...)

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 27 Apr 2026 09:32:34 +0000

slepc (3.24.3+dfsg1-2) unstable; urgency=medium

  * Update F. Ballarin's email address.
  * Pass SLEPC_DIR, PETSC_DIR and PETSC_ARCH as environment variables to
    dh_auto_install to prevent errors like
        dh_auto_install -plibslepc-... \
          --destdir=debian/tmp/slepc3.25-... --  \
          SLEPC_DIR=/repositories/slepc \
          PETSC_DIR=/usr/lib/petscdir/... PETSC_ARCH=...
        Usage: dh_auto_install [OPTIONS]
        Try 'dh_auto_install --help' for help.

        Error: Got unexpected extra arguments (SLEPC_DIR=...
        PETSC_DIR=/usr/lib/petscdir/... PETSC_ARCH=...)
    Backported from 3.25.0+dfsg1-1~exp1. Closes: #1135483.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 02 May 2026 05:02:16 +0000

slepc (3.24.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * install CHANGELOG.md with doc package

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Mar 2026 23:31:36 +0100

slepc (3.24.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: dh-fortran not dh-fortran-mod
  * update debian/watch to Version 5 format
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jan 2026 19:44:21 +0100

slepc (3.24.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. Transition #1121012.
  * update debian/tests
    - hack gmakefile to read slepcvariables from installed lib/slepc/conf
    - keep test control logic in test-slepc only, call from complex
      and 64-bit tests setting SLEPC_DIR and PETSC_DIR

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Nov 2025 13:05:05 +0100

slepc (3.24.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.24.
    - applies debian patch
      add_LIB_NAME_SUFFIX_in_slepcvariables_MR770.patch
  * fix debian/watch

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Nov 2025 17:44:20 +0100

slepc (3.23.1+dfsg1-1exp2) experimental; urgency=medium

  * Add new patch
    - add_LIB_NAME_SUFFIX_in_slepcvariables_MR770.patch
    to ensure that slepc4py uses LIB_NAME_SUFFIX when building the python
    wrapper. See upstream issue 92 and upstream merge request 770.
  * Standards-Version: 4.7.2

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 04 May 2025 08:41:56 +0000

slepc (3.23.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 01 May 2025 16:05:31 +0000

slepc (3.23.0+dfsg1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. New ABI 3.23.
  * Drop the following unnecessary patches:
    - petsc-shlib-link.patch, petsc31.patch, verbose.patch: seem to have been
      last used in 2011.
    - soname_extension: superseded by upstream MR726.
  * Refresh the following patches:
    - double_colon_patch
    - skip_test7f.patch
    - build_suffix.patch
  * Stop passing --shared-library-extension to configure script in debian/rules:
    - this custom flag was added by soname_extension, which has now been removed
      in favor of upstream MR726;
    - there is no need to pass any flag to the set the suffix, because the
      library name suffix set while building PETSc is propagated to SLEPc;
    - however, the patch build_suffix.patch is still required, and passing
      --build-suffix="64" is still needed, otherwise the build directory for
      32 bit and 64 bit arches would coincide.
  * Add patch ignore_git_hidden_folder_in_config_slepc_py.patch:
    - the file config/packages/slepc.py tries to determine whether
      SLEPc is getting installed from a source tarball, or from a clone of its
      own git repository. In Debian's configuration we are downloading a
      tarball, and then storing the files in our own git repository. Doing this
      triggers a
         raise RuntimeError('Your SLEPc source tree is broken. Use "git status"
                            to check, or remove the entire directory and start
                            all over again')
      which in our case is a false positive.
      The patch ignores the safety check, since it has not effect on the rest of
      the build.
  * Extend build_suffix.patch to use the pseudoarch string (obtained from the
    combination of the actual PETSc arch, and the optional build-suffix) when
    preparing auxiliary files, such as the reconfiguration script and the
    automatically generated fortran bindings.

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Apr 2025 17:43:08 +0200

slepc (3.22.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Dec 2024 00:11:52 +0100

slepc (3.22.1+dfsg1-2) unstable; urgency=medium

  * upload slepc 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:42:09 +0100

slepc (3.22.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2024 01:37:15 +0100

slepc (3.21.2+dfsg1-3) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add Francesco Ballarin to uploaders
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/rules and debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/rules and debian/tests.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2024 00:49:39 +0100

slepc (3.21.2+dfsg1-2) unstable; urgency=medium

  * apply chrpath to 64-bit packages only for arch-dependent builds

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Oct 2024 17:27:53 +0200

slepc (3.21.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Oct 2024 09:30:43 +0200

slepc (3.21.1+dfsg1-1exp2) experimental; urgency=medium

  * Build-Depends: chrpath
    to remove petsc64's scotch-int64 RUNPATH from slepc64 libraries.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Aug 2024 17:44:41 +0200

slepc (3.21.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * petsc64 now builds against scotch-int64 and uses a RUNPATH to
    access the scotch-int64 libraries. slepc uses the build flags set
    for petsc, including the rpath option. But slepc does not directly
    use scotch, so manually remove the RUNPATH from slepc64 libraries.

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Aug 2024 18:31:20 +0200

slepc (3.20.2+dfsg1-2) unstable; urgency=medium

  * debian lost upload and build records. Try again.
  * New upstream release.
    - fixes slepcmfn.mod build (MR#639). Closes: #1070894.
  * add Depends: ${fortran:Depends} to -dev packages for dh_fortran_mod
  * debian patch test_nox.patch allows Drawing tests to pass without
    a connected X server by running with -nox

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 May 2024 19:14:05 +0200

slepc (3.20.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - fixes slepcmfn.mod build (MR#639). Closes: #1070894.
  * add Depends: ${fortran:Depends} to -dev packages for dh_fortran_mod
  * debian patch test_nox.patch allows Drawing tests to pass without
    a connected X server by running with -nox

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 18:26:17 +0200

slepc (3.20.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
  * Build-Depends: pkgconf not pkg-config

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2024 15:57:38 +0100

slepc (3.19.2+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062939

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:12:21 +0000

slepc (3.19.2+dfsg1-2) unstable; urgency=medium

  * update makefile hacking in debian/tests. Upstream makefile now
    allows for slepcvariables under SLEPC_DIR, remove path local to
    source dir
  * debian patch skip_test7f.patch provides env variable SKIP_TEST7F
    to skip test7f during make clean (debian/tests). Needed for i386
    which fails test7f, see upstream Issue #81.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 16:48:54 +0100

slepc (3.19.2+dfsg1-1) unstable; urgency=medium

  [ Drew Parsons ]
  * New upstream release
  * update debian/watch to catch past versions of upstream
    slepc-with-docs tarballs

  [ Francesco Ballarin ]
  * Reinstate docs generation.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Dec 2023 11:15:54 +0100

slepc (3.19.1+dfsg1-1exp2) experimental; urgency=medium

  * docs now provided in "with-docs" tarball, same as PETSc source
    - update debian/watch
    - reinstate doc installation in slepc3.19-doc

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jul 2023 00:21:39 +0200

slepc (3.19.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - new ABI 3.19
  * slepc3.19-doc: docs no longer provided in upstream tarball

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Jul 2023 20:14:16 +0200

slepc (3.18.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch finclude_EPSEVSL_fb6173ce.diff

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 12:27:44 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libslepc-real3.25`.
